﻿Imports EF6WebAPI.DataAccess
Imports EF6Model.Models.Interfaces
Imports EF6Model.RichModels
Imports System.Data.Entity

Namespace EF6Model
Public Class NinjaContext
	Inherits DbContext
        Public Property Ninjas As DbSet(Of Ninja)
        Public Property Clans As DbSet(Of Clan)

        Public Sub FixState()
            For Each entry As Entity.Infrastructure.DbEntityEntry(Of IObjectWithState) In ChangeTracker.Entries(Of IObjectWithState)()
                Dim stateInfo As IObjectWithState = entry.Entity
                entry.State = DataUtilities.ConvertState(stateInfo.State)
            Next entry
        End Sub
	Protected Overrides Sub OnModelCreating(ByVal modelBuilder As DbModelBuilder)
	   modelBuilder.Types(Of IObjectWithState)().Configure(Function(c) c.Ignore(Function(p) p.State))
	End Sub
End Class
End Namespace