﻿Imports System.Data.Common
Imports System.Data.Entity
Imports System.Data.Entity.Infrastructure
Imports System.Data.SqlClient
Imports System.Text
Imports System.Threading.Tasks

Namespace EF6Model.Models
  Public Class NinjaDbConfiguration
	  Inherits DbConfiguration
	Public Sub New()
            SetManifestTokenResolver(New MyManifestTokenResolver)
        End Sub

	Public Class MyManifestTokenResolver
		Implements IManifestTokenResolver
            Private ReadOnly _defaultResolver As IManifestTokenResolver = New DefaultManifestTokenResolver

            Public Function ResolveManifestToken(ByVal connection As DbConnection) As String Implements IManifestTokenResolver.ResolveManifestToken
                Dim sqlConn = TryCast(connection, SqlConnection)
                If sqlConn IsNot Nothing Then
                    Return "2012"
                Else
                    Return _defaultResolver.ResolveManifestToken(connection)
                End If
            End Function
        End Class
  End Class
End Namespace
