﻿Imports EF6Model.Models.Enums
Imports EF6Model.Models.Interfaces

Namespace EF6Model.RichModels
  Public Class NinjaEquipment
	  Implements IObjectWithState
        Public Property Id As Integer
        Private privateNinjaId As Integer
        Public Property NinjaId As Integer
            Get
                Return privateNinjaId
            End Get
            Private Set(ByVal value As Integer)
                privateNinjaId = value
            End Set
        End Property
        Public Property Name As String


        Public Property State As ObjectStates Implements IObjectWithState.State
        Public Shared Function Create(ByVal ninjaId As Integer, ByVal name As String) As NinjaEquipment
	  Dim equip = New NinjaEquipment(ninjaId, name)
	  equip.State = ObjectStates.Added
	  Return equip
	End Function
	Public Sub New(ByVal ninjaId As Integer, ByVal name As String)
	  Me.NinjaId = ninjaId
	  Me.Name = name
	End Sub
	Public Sub New()

	End Sub
	Public Function ChangeOwner(ByVal newNinjaId As Integer) As NinjaEquipment
	  NinjaId = newNinjaId
	  State = ObjectStates.Modified
	  Return Me
	End Function

  End Class
End Namespace
